> ## Documentation Index
> Fetch the complete documentation index at: https://docs.exponent.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Filled orders by wallet

> Returns filled orderbook orders for a user.

export const ApiResponse = ({children, errors = {}}) => {
  const [status, setStatus] = useState("200");
  const statuses = ["200", ...Object.keys(errors)];
  return <section className="api-response" aria-label="Response">
      <div className="api-response-header not-prose">
        <h2>Response</h2>
        <div className="api-response-format">
          {statuses.length > 1 ? <select aria-label="Response status" value={status} onChange={event => setStatus(event.target.value)}>
              {statuses.map(code => <option key={code} value={code}>{code}</option>)}
            </select> : <span>200</span>}
          <span className="api-response-mime">application/json</span>
        </div>
      </div>
      <div hidden={status !== "200"}>{children}</div>
      {status !== "200" && <div aria-live="polite">
          {Object.entries(errors[status]).map(([name, value]) => <ResponseField key={name} name={name} type={value === null ? "null" : Array.isArray(value) ? "array" : typeof value}>
              {name === "error" ? "Error message describing why the request failed." : "Additional error details."}
            </ResponseField>)}
        </div>}
    </section>;
};

## Path parameters

<ParamField path="userAddress" type="string" required>
  User wallet address.
</ParamField>

<RequestExample dropdown>
  ```bash cURL theme={null}
  curl https://api.exponent.finance/filled-orders/user/HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4
  ```

  ```python Python theme={null}
  import requests

  response = requests.get("https://api.exponent.finance/filled-orders/user/HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4", timeout=30)
  response.raise_for_status()
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://api.exponent.finance/filled-orders/user/HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4");
  if (!response.ok) {
    throw new Error(`Request failed: ${response.status}`);
  }
  const data = await response.json();
  console.log(data);
  ```
</RequestExample>

<ApiResponse errors={{}}>
  <ResponseField name="order_role" type="string">
    Maker or taker role in the indexed order.
  </ResponseField>

  <ResponseField name="order_type" type="string">
    `buyPT`, `sellPT`, `buyYT`, or `sellYT`.
  </ResponseField>

  <ResponseField name="orderbook_address" type="string">
    Orderbook account associated with the order or reward.
  </ResponseField>

  <ResponseField name="vault_address" type="string">
    Associated vault.
  </ResponseField>

  <ResponseField name="offer_idx" type="number | null">
    On-chain offer index, when applicable.
  </ResponseField>

  <ResponseField name="post_offer_event_id" type="number | null">
    Posting event ID, when applicable.
  </ResponseField>

  <ResponseField name="market_offer_event_id" type="number | null">
    Market-offer event ID, when applicable.
  </ResponseField>

  <ResponseField name="original_amount" type="number">
    Raw original input amount.
  </ResponseField>

  <ResponseField name="amount_filled" type="number">
    Raw filled amount.
  </ResponseField>

  <ResponseField name="amount_received" type="number">
    Raw received amount.
  </ResponseField>

  <ResponseField name="amount_remaining" type="number">
    Raw amount remaining.
  </ResponseField>

  <ResponseField name="implied_apy" type="number">
    Indexed order rate.
  </ResponseField>

  <ResponseField name="filled_implied_apy" type="number | null">
    Indexed average fill rate.
  </ResponseField>

  <ResponseField name="filled_sy_exchange_rate" type="number | null">
    Indexed average SY exchange rate across fills.
  </ResponseField>

  <ResponseField name="num_fills" type="number">
    Number of fills.
  </ResponseField>

  <ResponseField name="status" type="string">
    `fully_filled`, `removed`, or `expired`.
  </ResponseField>

  <ResponseField name="tx_signature" type="string">
    Transaction signature.
  </ResponseField>

  <ResponseField name="created_at" type="string">
    Creation timestamp.
  </ResponseField>

  <ResponseField name="updated_at" type="string">
    Latest update timestamp.
  </ResponseField>
</ApiResponse>

<ResponseExample>
  ```json 200 theme={null}
  [
    {
      "post_offer_event_id": 35160,
      "status": "fully_filled",
      "order_role": "maker",
      "order_type": "sellPT",
      "amount_received": 210113869.44814292,
      "amount_filled": 249999941,
      "amount_remaining": 59,
      "original_amount": 250000000,
      "implied_apy": 120446,
      "filled_implied_apy": 120446,
      "filled_sy_exchange_rate": 1.155177212,
      "tx_signature": "3DTBTTnZ8ghfCLVgwh4bJq8rFbzEg9LDpP7R7k2vvgMZNsQZrRg3gwHnfdSRyQshsh6zQeMRdR9AtUffY5sMBg9o",
      "updated_at": "2026-10-13T17:00:12+00:00",
      "orderbook_address": "imv1h6xgX8GyiJjkBj5xvFxwWoB7sCyTGCi6yGK2bZt",
      "vault_address": "7f1PgxY3kGsPqLAKpwcduZkcBEhpjMz7U1iJ4pcCCzDy",
      "offer_idx": 234,
      "num_fills": 1,
      "created_at": "2026-10-13T15:47:03+00:00",
      "market_offer_event_id": null
    },
    {
      "post_offer_event_id": null,
      "status": "fully_filled",
      "order_role": "taker",
      "order_type": "buyPT",
      "amount_received": 118908437,
      "amount_filled": 99999999,
      "amount_remaining": 0,
      "original_amount": 99999999,
      "implied_apy": 0,
      "filled_implied_apy": 120800,
      "filled_sy_exchange_rate": 1.155177212,
      "tx_signature": "4fbW2fU6dCVcgb1bzt7hN84CbXQqREPVUxeMfZ6wnurYSRLUa6Mv8paQuwzUQbUyNYBQ2CQqoNH9cAvKsMVnMxDY",
      "updated_at": "2026-10-13T15:48:20+00:00",
      "orderbook_address": "imv1h6xgX8GyiJjkBj5xvFxwWoB7sCyTGCi6yGK2bZt",
      "vault_address": "7f1PgxY3kGsPqLAKpwcduZkcBEhpjMz7U1iJ4pcCCzDy",
      "offer_idx": 111,
      "num_fills": 1,
      "created_at": "2026-10-13T15:48:20+00:00",
      "market_offer_event_id": 13720
    }
  ]
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.